Index: /trunk/src/org/expeditee/importer/FrameDNDTransferHandler.java
===================================================================
--- /trunk/src/org/expeditee/importer/FrameDNDTransferHandler.java	(revision 1101)
+++ /trunk/src/org/expeditee/importer/FrameDNDTransferHandler.java	(revision 1102)
@@ -19,5 +19,4 @@
 package org.expeditee.importer;
 
-import java.awt.Point;
 import java.awt.datatransfer.DataFlavor;
 import java.awt.datatransfer.UnsupportedFlavorException;
@@ -32,4 +31,6 @@
 import javax.swing.TransferHandler;
 
+import org.expeditee.core.Point;
+import org.expeditee.gio.swing.SwingConversions;
 import org.expeditee.gui.DisplayIO;
 import org.expeditee.gui.FrameGraphics;
@@ -65,6 +66,6 @@
 	}
 
-	private FrameDNDTransferHandler() {
-
+	private FrameDNDTransferHandler()
+	{
 		// Add standard file importers - order from most ideal to last resort
 		// (if competing)
@@ -74,15 +75,12 @@
 		_standardFileImporters.add(new pdfImporter());
 		_standardFileImporters.add(new TextImporter());
-		_standardFileImporters.add(new FilePathImporter()); // Filepath importer
-		// as last resort
+		_standardFileImporters.add(new FilePathImporter()); // Filepath importer as last resort
 
 		try {
-			_URIListDataflavorString = new DataFlavor(
-					"text/uri-list;class=java.lang.String");
-			_URIListDataflavorCharArray = new DataFlavor(
-					"text/uri-list;class=\"[C\"");
-		} catch (ClassNotFoundException e) { // This would never happen,
-			// java.lang.String is always
-			// present
+			_URIListDataflavorString = new DataFlavor("text/uri-list;class=java.lang.String");
+			_URIListDataflavorCharArray = new DataFlavor("text/uri-list;class=\"[C\"");
+			
+		// This would never happen, java.lang.String is always present
+		} catch (ClassNotFoundException e) {
 			e.printStackTrace();
 			_URIListDataflavorString = null;
@@ -104,9 +102,11 @@
 	 *             if importer is null.
 	 */
-	public void addCustomFileImporter(FileImporter importer) {
-		if (importer == null)
-			throw new NullPointerException("importer");
-		if (!_customFileImporters.contains(importer))
+	public void addCustomFileImporter(FileImporter importer)
+	{
+		if (importer == null) throw new NullPointerException("importer");
+		
+		if (!_customFileImporters.contains(importer)) {
 			_customFileImporters.add(importer);
+		}
 
 	}
@@ -121,7 +121,8 @@
 	 *             if importer is null.
 	 */
-	public void removeCustomFileImporter(FileImporter importer) {
-		if (importer == null)
-			throw new NullPointerException("importer");
+	public void removeCustomFileImporter(FileImporter importer)
+	{
+		if (importer == null) throw new NullPointerException("importer");
+		
 		_customFileImporters.remove(importer);
 	}
@@ -135,9 +136,9 @@
 
 		// we only import Strings
-		if (support.isDataFlavorSupported(DataFlavor.stringFlavor)
-				|| support.isDataFlavorSupported(DataFlavor.javaFileListFlavor)
-				|| support.isDataFlavorSupported(_URIListDataflavorString)
-				|| support.isDataFlavorSupported(_URIListDataflavorCharArray)) {
-
+		if (	support.isDataFlavorSupported(DataFlavor.stringFlavor) ||
+				support.isDataFlavorSupported(DataFlavor.javaFileListFlavor) ||
+				support.isDataFlavorSupported(_URIListDataflavorString) ||
+				support.isDataFlavorSupported(_URIListDataflavorCharArray))
+		{
 			// check if the source actions (a bitwise-OR of supported actions)
 			// contains the COPY action
@@ -154,14 +155,13 @@
 
 	@Override
-	public boolean importData(TransferSupport support) {
-
-		if (!canImport(support) || DisplayIO.getCurrentFrame() == null)
-			return false;
-
-		// Get the drop location of where to lot the import
+	public boolean importData(TransferSupport support)
+	{
+		if (!canImport(support) || DisplayIO.getCurrentFrame() == null) return false;
+
+		// Get the location of where to drop the import
 		DropLocation location = support.getDropLocation();
 
-		// Covert it into expeditee space
-		Point expediteeDropPoint = location.getDropPoint();
+		// Convert it into expeditee space
+		Point expediteeDropPoint = SwingConversions.fromSwingPoint(location.getDropPoint());
 
 		try {
@@ -170,6 +170,5 @@
 			// keep trying until first
 			// data flavor recognized.
-			for (DataFlavor df : support.getTransferable()
-					.getTransferDataFlavors()) {
+			for (DataFlavor df : support.getTransferable().getTransferDataFlavors()) {
 
 				System.out.println(df);
@@ -177,6 +176,5 @@
 				if (df == DataFlavor.stringFlavor) { // import as text item
 
-					String str = (String) support.getTransferable()
-							.getTransferData(DataFlavor.stringFlavor);
+					String str = (String) support.getTransferable().getTransferData(DataFlavor.stringFlavor);
 
 					if (str != null && str.length() > 0) {
@@ -185,15 +183,9 @@
 					}
 
-					// Usually Windows and MAC enviroments
-				} else if (df == DataFlavor.javaFileListFlavor
-						|| df.getSubType().equals("x-java-file-list")) { // Windows
-					// has
-					// other
-					// random
-					// types...
-
-					List<? extends File> files = (List<? extends File>) support
-							.getTransferable().getTransferData(
-									DataFlavor.javaFileListFlavor);
+				// Usually Windows and MAC enviroments
+				// Windows has other random types...
+				} else if (df == DataFlavor.javaFileListFlavor || df.getSubType().equals("x-java-file-list")) {
+
+					List<? extends File> files = (List<? extends File>) support.getTransferable().getTransferData(DataFlavor.javaFileListFlavor);
 
 					importFileList(files, expediteeDropPoint);
@@ -201,9 +193,8 @@
 					return true;
 
-					// Usually GNOME and KDE enviroments
+				// Usually GNOME and KDE enviroments
 				} else if (df.equals(_URIListDataflavorString)) {
 
-					String data = (String) support.getTransferable()
-							.getTransferData(_URIListDataflavorString);
+					String data = (String) support.getTransferable().getTransferData(_URIListDataflavorString);
 
 					List<File> files = textURIListToFileList(data);
@@ -215,6 +206,5 @@
 				} else if (df.equals(_URIListDataflavorCharArray)) {
 
-					char[] data = (char[]) support.getTransferable()
-							.getTransferData(_URIListDataflavorCharArray);
+					char[] data = (char[]) support.getTransferable().getTransferData(_URIListDataflavorCharArray);
 
 					String uriString = new String(data);
@@ -229,6 +219,5 @@
 
 		} catch (UnsupportedFlavorException e) {
-			MessageBay
-					.displayMessage("Drag and drop for that type of data is not supported");
+			MessageBay.displayMessage("Drag and drop for that type of data is not supported");
 		} catch (IOException e) {
 			e.printStackTrace();
@@ -246,14 +235,13 @@
 	 * 
 	 * @param expediteeDropPoint
-	 *            The location in the current ecpeditee frame of where to drop
+	 *            The location in the current expeditee frame of where to drop
 	 *            the text item.
 	 */
-	public static Text importString(String text, Point expediteeDropPoint) {
-
+	public static Text importString(String text, Point expediteeDropPoint)
+	{
 		assert (DisplayIO.getCurrentFrame() != null);
 		assert (text != null && text.length() > 0);
 
-		Text importedTextItem = new Text(DisplayIO.getCurrentFrame()
-				.getNextItemID(), text);
+		Text importedTextItem = new Text(DisplayIO.getCurrentFrame().getNextItemID(), text);
 		importedTextItem.setPosition(expediteeDropPoint);
 
@@ -264,10 +252,10 @@
 	}
 
-	public void importFileList(List<? extends File> files,
-			Point expediteeDropPoint) throws IOException {
-
-		Point currentPoint = expediteeDropPoint.getLocation();
-
-		for (File fileToImport : files) { // import files one by one
+	public void importFileList(List<? extends File> files, Point expediteeDropPoint) throws IOException
+	{
+		Point currentPoint = new Point(expediteeDropPoint);
+
+		 // import files one by one
+		for (File fileToImport : files) {
 
 			Item lastItem = importFile(fileToImport, currentPoint);
@@ -296,5 +284,6 @@
 	 * @throws IOException
 	 */
-	public Item importFile(File f, Point expediteeDropPoint) throws IOException {
+	public Item importFile(File f, Point expediteeDropPoint) throws IOException
+	{
 		assert (f != null);
 
@@ -302,22 +291,18 @@
 		// importing routines...
 		Item lastCreatedItem;
-		if (null == (lastCreatedItem = performFileImport(_customFileImporters,
-				f, expediteeDropPoint))) {
-
+		if (null == (lastCreatedItem = performFileImport(_customFileImporters, f, expediteeDropPoint))) {
 			// Standard file importing
-			lastCreatedItem = performFileImport(_standardFileImporters, f,
-					expediteeDropPoint);
-
-		}
+			lastCreatedItem = performFileImport(_standardFileImporters, f, expediteeDropPoint);
+		}
+		
 		return lastCreatedItem;
 	}
 
-	private Item performFileImport(List<FileImporter> importers, File f,
-			Point expediteeDropPoint) throws IOException {
-
+	private Item performFileImport(List<FileImporter> importers, File f, Point expediteeDropPoint) throws IOException
+	{
 		for (FileImporter fi : importers) {
 			Item lastCreated = fi.importFile(f, expediteeDropPoint);
-			if (lastCreated != null)
-				return lastCreated;
+			
+			if (lastCreated != null) return lastCreated;
 		}
 
@@ -326,4 +311,6 @@
 
 	/**
+	 * Converts a string formatted as a list of URIs into a list of Files.
+	 * 
 	 * Code adopted from SUN - java BUG ID 4899516 workaround for KDE/GNOME
 	 * Desktops
@@ -334,10 +321,9 @@
 	 * @return The list of FILES in the uriListString. Never null.
 	 */
-	private List<File> textURIListToFileList(String uriListString) {
-
+	private List<File> textURIListToFileList(String uriListString)
+	{
 		List<File> fileList = new LinkedList<File>();
 
-		for (StringTokenizer st = new StringTokenizer(uriListString, "\r\n"); st
-				.hasMoreTokens();) {
+		for (StringTokenizer st = new StringTokenizer(uriListString, "\r\n"); st.hasMoreTokens();) {
 
 			String s = st.nextToken();
Index: /trunk/src/org/expeditee/importer/ImageImporter.java
===================================================================
--- /trunk/src/org/expeditee/importer/ImageImporter.java	(revision 1101)
+++ /trunk/src/org/expeditee/importer/ImageImporter.java	(revision 1102)
@@ -19,7 +19,4 @@
 package org.expeditee.importer;
 
-import java.awt.Color;
-import java.awt.Point;
-import java.awt.Rectangle;
 import java.io.File;
 import java.io.IOException;
@@ -27,7 +24,10 @@
 import java.util.HashSet;
 
-import org.expeditee.gui.DisplayIO;
-import org.expeditee.gui.FrameKeyboardActions;
-import org.expeditee.gui.FrameMouseActions;
+import org.expeditee.core.Colour;
+import org.expeditee.core.Point;
+import org.expeditee.core.bounds.AxisAlignedBoxBounds;
+import org.expeditee.gio.DragAndDropManager;
+import org.expeditee.gio.gesture.StandardGestureActions;
+import org.expeditee.gui.DisplayController;
 import org.expeditee.gui.FrameUtils;
 import org.expeditee.items.Item;
@@ -65,5 +65,5 @@
 		}
 
-		Color borderColor = null;
+		Colour borderColor = null;
 		float thickness = 0;
 		String size = "";
@@ -72,8 +72,8 @@
 			for (Item i : enclosure) {
 				if (i.isLineEnd() && i.isEnclosed()) {
-					DisplayIO.getCurrentFrame().removeAllItems(enclosure);
-					Rectangle rect = i.getEnclosedRectangle();
+					DisplayController.getCurrentFrame().removeAllItems(enclosure);
+					AxisAlignedBoxBounds rect = i.getEnclosedBox();
 					size = " " + Math.round(rect.getWidth());
-					location = new Point(rect.x, rect.y);
+					location = new Point(rect.getMinX(), rect.getMinY());
 					thickness = i.getThickness();
 					borderColor = i.getColor();
@@ -81,13 +81,12 @@
 				}
 			}
-			FrameMouseActions.deleteItems(enclosure, false);
+			StandardGestureActions.deleteItems(enclosure, false);
 		}
 
-		Text source = FrameDNDTransferHandler.importString("@i: " + fullPath
-				+ size, location);
+		Text source = DragAndDropManager.importString("@i: " + fullPath + size, location);
 		source.setThickness(thickness);
 		source.setBorderColor(borderColor);
 
-		FrameKeyboardActions.Refresh();
+		StandardGestureActions.Refresh();
 		Collection<? extends XRayable> pictures = source.getEnclosures();
 		if (pictures.size() == 0)
Index: /trunk/src/org/expeditee/importer/TextImporter.java
===================================================================
--- /trunk/src/org/expeditee/importer/TextImporter.java	(revision 1101)
+++ /trunk/src/org/expeditee/importer/TextImporter.java	(revision 1102)
@@ -19,6 +19,4 @@
 package org.expeditee.importer;
 
-import java.awt.Color;
-import java.awt.Point;
 import java.io.BufferedReader;
 import java.io.File;
@@ -26,4 +24,8 @@
 import java.io.IOException;
 
+import org.expeditee.core.Colour;
+import org.expeditee.core.Point;
+import org.expeditee.gio.DragAndDropManager;
+import org.expeditee.gui.DisplayController;
 import org.expeditee.gui.FrameCreator;
 import org.expeditee.gui.FrameGraphics;
@@ -44,6 +46,5 @@
 		final String fullPath = f.getAbsolutePath();
 
-		final Text source = FrameDNDTransferHandler.importString(f.getPath(),
-				location);
+		final Text source = DragAndDropManager.importString(f.getPath(), location);
 
 		// Create a frameCreator to write the text
@@ -54,6 +55,5 @@
 				try {
 					// Open a file stream to the file
-					BufferedReader br = new BufferedReader(new FileReader(
-							fullPath));
+					BufferedReader br = new BufferedReader(new FileReader(fullPath));
 
 					MessageBay.displayMessage("Importing " + f.getName() + "...");
@@ -67,6 +67,6 @@
 					frames.save();
 					source.setLink(frames.getName());
-					MessageBay.displayMessage(f.getName() + " import complete", Color.GREEN);
-					FrameGraphics.requestRefresh(true);
+					MessageBay.displayMessage(f.getName() + " import complete", Colour.GREEN);
+					DisplayController.requestRefresh(true);
 				} catch (Exception e) {
 					e.printStackTrace();
@@ -75,5 +75,5 @@
 			}
 		}.start();
-		FrameGraphics.refresh(true);
+		DisplayController.requestRefresh(true);
 		return source;
 	}
Index: /trunk/src/org/expeditee/importer/pdfImporter.java
===================================================================
--- /trunk/src/org/expeditee/importer/pdfImporter.java	(revision 1101)
+++ /trunk/src/org/expeditee/importer/pdfImporter.java	(revision 1102)
@@ -19,10 +19,4 @@
 package org.expeditee.importer;
 
-import java.awt.Color;
-import java.awt.Graphics;
-import java.awt.Image;
-import java.awt.Point;
-import java.awt.Rectangle;
-import java.awt.image.BufferedImage;
 import java.io.File;
 import java.io.IOException;
@@ -31,7 +25,11 @@
 import java.nio.channels.FileChannel;
 
-import javax.imageio.ImageIO;
-
-import org.expeditee.gui.Browser;
+import org.expeditee.core.Colour;
+import org.expeditee.core.Image;
+import org.expeditee.core.Point;
+import org.expeditee.gio.DragAndDropManager;
+import org.expeditee.gio.EcosystemManager;
+import org.expeditee.gio.GraphicsManager;
+import org.expeditee.gui.DisplayController;
 import org.expeditee.gui.Frame;
 import org.expeditee.gui.FrameCreator;
@@ -54,5 +52,5 @@
 		final int x = 0;
 		final int y = 60;
-		final int width = Browser._theBrowser.getSize().width;
+		final int width = EcosystemManager.getGraphicsManager().getWindowSize().width;
 		System.out.println(width);
 		
@@ -65,5 +63,5 @@
 		}
 		
-		final Text link = FrameDNDTransferHandler.importString(name, location);
+		final Text link = DragAndDropManager.importString(name, location);
 		link.setLink(name+"1");
 		
@@ -97,5 +95,5 @@
 					Frame _currentFrame=null;
 					Text nextButton=null, prevButton=null;
-					final float spacing=((Text)FrameCreator.createButton("Next", null, null, 10F, 10F)).getBoundsWidth() + 30F;
+					final int spacing=((Text)FrameCreator.createButton("Next", null, null, 10, 10)).getBoundsWidth() + 30;
 		      
 		      //make images from the pdf pages, write frames with those images
@@ -128,19 +126,15 @@
 			      }
 			      //generate the image
-			      Image img = page.getImage(w, h, //width & height
-				      new Rectangle(0, 0, (int)page.getBBox().getWidth(), (int)page.getBBox().getHeight()), //clip rect
-				      null, //null for the ImageObserver
-				      true, //fill background with white
-				      true //block until drawing is done
-				      );
+			      Image img = Image.createImage(w, h, page);
 			      //Create a buffered image to store the image in
-			      BufferedImage bimg = new BufferedImage(img.getWidth(null), img.getHeight(null), BufferedImage.TYPE_INT_RGB);
-			      Graphics g = bimg.createGraphics();
+			      Image bimg = Image.createImage(img.getWidth(), img.getHeight(), false);
+			      GraphicsManager g = EcosystemManager.getGraphicsManager();
 			      //Paint the image onto the buffered image
-			      g.drawImage(img, 0, 0, null);
-			      g.dispose();
+			      g.pushDrawingSurface(bimg);
+			      g.drawImage(img, new Point(0, 0));
+			      g.popDrawingSurface();
 			      //save it as a file
 			      File out = new File(framesetPath+i+".png");
-			      ImageIO.write(bimg, "png", out);
+			      bimg.writeToDisk("png", out);
 			      //generate a frame with that image
 			      System.out.println(width);
@@ -150,10 +144,10 @@
 						{
 						  //put a next button on the previous frame (points to current frame)
-						  nextButton=(Text)FrameCreator.createButton("Next", null, null, 10F, 10F);
+						  nextButton=(Text)FrameCreator.createButton("Next", null, null, 10, 10);
 							nextButton.setID(_currentFrame.getNextItemID());
 							nextButton.addAction("next");
 							_currentFrame.addItem(nextButton);
 							//put a previous button on the current frame (points to previous frame)
-							prevButton=(Text)FrameCreator.createButton("Prev", null, null, (i<pages)?spacing:10F, 10F);
+							prevButton=(Text)FrameCreator.createButton("Prev", null, null, (i<pages)?spacing:10, 10);
 							prevButton.setID(currentFrame.getNextItemID());
 							prevButton.addAction("previous");
@@ -162,5 +156,5 @@
 						else
 						{
-							prevButton=(Text)FrameCreator.createButton("Home", null, null, (i<pages)?spacing:10F, 10F);
+							prevButton=(Text)FrameCreator.createButton("Home", null, null, (i<pages)?spacing:10, 10);
 							prevButton.setID(currentFrame.getNextItemID());
 							prevButton.addAction("GotoHome");
@@ -171,11 +165,11 @@
 						if(i<pages) currentFrame = FrameIO.CreateFrame(frameset.getFramesetName(), name, null);
 					}
-					prevButton=(Text)FrameCreator.createButton("Home", null, null, spacing, 10F);
+					prevButton=(Text)FrameCreator.createButton("Home", null, null, spacing, 10);
 					prevButton.setID(currentFrame.getNextItemID());
 					prevButton.addAction("gotohome");
 					currentFrame.addItem(prevButton);
 					FrameIO.SaveFrame(currentFrame,true);
-					MessageBay.displayMessage(f.getName() + " import complete", Color.GREEN);
-					FrameGraphics.requestRefresh(true);
+					MessageBay.displayMessage(f.getName() + " import complete", Colour.GREEN);
+					DisplayController.requestRefresh(true);
 				} catch (Exception e) {
 					e.printStackTrace();
@@ -184,5 +178,5 @@
 			}
 		}.start();
-		FrameGraphics.refresh(true);
+		DisplayController.requestRefresh(true);
 		//return source;
 		return link;
Index: /trunk/src/org/expeditee/io/AbstractHTMLWriter.java
===================================================================
--- /trunk/src/org/expeditee/io/AbstractHTMLWriter.java	(revision 1101)
+++ /trunk/src/org/expeditee/io/AbstractHTMLWriter.java	(revision 1102)
@@ -19,6 +19,4 @@
 package org.expeditee.io;
 
-import java.awt.Color;
-import java.awt.Font;
 import java.io.File;
 import java.io.IOException;
@@ -26,4 +24,6 @@
 import java.util.List;
 
+import org.expeditee.core.Colour;
+import org.expeditee.core.Font;
 import org.expeditee.gui.Frame;
 import org.expeditee.gui.FrameIO;
@@ -88,6 +88,5 @@
 			return;
 
-		writer.write(styleName + " { font-family: "
-				+ Conversion.getCssFontFamily(font.getFamily()));
+		writer.write(styleName + " { font-family: " + Conversion.getCssFontFamily(font.getFamilyName()));
 
 		// writer.write("; font-size: " + Math.round(style.getSize()) + "px");
@@ -104,5 +103,5 @@
 			writer.write("; font-style: normal");
 		}
-		Color c = style.getBackgroundColor();
+		Colour c = style.getBackgroundColor();
 		if (c != null) {
 			writer.write("; background-color: " + Conversion.getCssColor(c));
Index: /trunk/src/org/expeditee/io/Conversion.java
===================================================================
--- /trunk/src/org/expeditee/io/Conversion.java	(revision 1101)
+++ /trunk/src/org/expeditee/io/Conversion.java	(revision 1102)
@@ -19,7 +19,4 @@
 package org.expeditee.io;
 
-import java.awt.Color;
-import java.awt.Font;
-import java.awt.Point;
 import java.lang.reflect.Field;
 import java.lang.reflect.Method;
@@ -29,4 +26,7 @@
 
 import org.expeditee.actions.Actions;
+import org.expeditee.core.Colour;
+import org.expeditee.core.Font;
+import org.expeditee.core.Point;
 import org.expeditee.items.Item;
 import org.expeditee.items.Text;
@@ -43,7 +43,7 @@
 public class Conversion {
 
-	public static final int RGB_MAX = 255;
-
-	private static final float RGB_CONVERSION_FACTOR = 2.55F;
+	public static final short RGB_MAX = Colour.COMPONENT_MAX_VALUE;
+
+	private static final float RGB_CONVERSION_FACTOR = RGB_MAX / 100.0f;
 
 	/**
@@ -56,5 +56,5 @@
 	 * @return The Color object corresponding to the given code
 	 */
-	public static Color getColor(String colorCode, Color current) {
+	public static Colour getColor(String colorCode, Colour current) {
 		if (colorCode == null) {
 			return null;
@@ -66,5 +66,5 @@
 
 		// check if its a normal rgb code ie. 100 0 40
-		Color rgb = getRGBColor(colorCode, current);
+		Colour rgb = getRGBColor(colorCode, current);
 		if (rgb != null)
 			return rgb;
@@ -104,8 +104,8 @@
 			return null;
 
-		return new Color(color[0], color[1], color[2]);
-	}
-
-	private static Color getRGBColor(String colorCode, Color current) {
+		return new Colour(color[0], color[1], color[2]);
+	}
+
+	private static Colour getRGBColor(String colorCode, Colour current) {
 		int color[] = new int[4];
 		// Assert.assertTrue(color.length == 3);
@@ -135,5 +135,5 @@
 				color[i] = toRGB(color[i]);
 			}
-			return new Color(color[0], color[1], color[2], color[3]);
+			return new Colour(color[0], color[1], color[2], color[3]);
 		} catch (Exception e) {
 			return null;
@@ -175,5 +175,5 @@
 	 *         is black.
 	 */
-	public static String getExpediteeColorCode(Color color) {
+	public static String getExpediteeColorCode(Colour color) {
 		if (color == null)
 			return null;
@@ -195,6 +195,6 @@
 	 */
 	public static String getExpediteeFontCode(Font font) {
-		String fontName = font.getFamily();
-		String code = font.getFamily() + '_';
+		String fontName = font.getFamilyName();
+		String code = font.getFamilyName() + '_';
 
 		for (int i = 0; i < Text.FONT_WHEEL.length; i++) {
@@ -206,11 +206,11 @@
 
 		switch (font.getStyle()) {
-		case Font.BOLD:
+		case BOLD:
 			code += "b";
 			break;
-		case Font.PLAIN:
+		case PLAIN:
 			code += "r";
 			break;
-		case Font.ITALIC:
+		case ITALIC:
 			code += "i";
 			break;
@@ -237,8 +237,7 @@
 
 		int separator = fontCode.indexOf('_');
-		String code = Text.FONT_WHEEL[0];
+		String familyName = Text.FONT_WHEEL[0];
 		if (separator > 0) {
-			code = Actions.getCapitalizedFontName(fontCode.substring(0,
-					separator)) + '-';
+			familyName = Actions.getCapitalizedFontName(fontCode.substring(0, separator));
 			fontCode = fontCode.substring(separator);
 		} else {
@@ -246,41 +245,33 @@
 			for (int i = 0; i < Text.FONT_CHARS.length; i++) {
 				if (c == Text.FONT_CHARS[i]) {
-					code = Text.FONT_WHEEL[i] + '-';
+					familyName = Text.FONT_WHEEL[i];
 					break;
 				}
 			}
 		}
+		
+		Font font = new Font(familyName);
 
 		switch (fontCode.charAt(1)) {
 		case 'r':
-			code += "Plain";
+			font.setStyle(Font.Style.PLAIN);
 			break;
 		case 'b':
-			code += "Bold";
+			font.setStyle(Font.Style.BOLD);
 			break;
 		case 'i':
-			code += "Italic";
+			font.setStyle(Font.Style.ITALIC);
 			break;
 		case 'p':
-			code += "BoldItalic";
+			font.setStyle(Font.Style.BOLD_ITALIC);
 			break;
 		}
-
-		code += "-";
-
-		Font font = null;
 
 		try {
 			int size = Integer.parseInt(fontCode.substring(2));
-			// double dsize = size * FONT_SCALE;
-			// if (dsize - ((int) dsize) > FONT_ROUNDING)
-			// dsize = Math.ceil(dsize);
-
-			// code += (int) dsize;
-			code += size;
-
-			font = Font.decode(code);
+			
+			font.setSize(size);
 		} catch (NumberFormatException nfe) {
-			font = Font.decode(fontCode);
+			// Just keep going
 		}
 
@@ -362,5 +353,5 @@
 		}
 
-		if (type.equals(Color.class)) {
+		if (type.equals(Colour.class)) {
 			if (value.length() == 0)
 				return null;
@@ -368,9 +359,9 @@
 			try {
 				// Try to decode the string as a hex or octal color code
-				return Color.decode(value);
+				return Colour.decode(value);
 			} catch (NumberFormatException nfe) {
 				try {
-					// Try to find the field in the Color class with the same name as the given string
-					Field[] fields = java.awt.Color.class.getFields();
+					// Try to find the field in the Colour class with the same name as the given string
+					Field[] fields = Colour.class.getFields();
 					Field field = null;
 					for (int i = 0; i < fields.length; i++) {
@@ -380,7 +371,7 @@
 						}
 					}
-					return (Color) field.get(null);
+					return (Colour) field.get(null);
 				} catch (Exception e) {
-					return getColor(value, (Color) orig);
+					return getColor(value, (Colour) orig);
 				}
 			}
@@ -388,6 +379,5 @@
 
 		if (type.equals(int.class)) {
-			if (orig instanceof Integer
-					&& (value.startsWith("+") || value.startsWith("-"))) {
+			if (orig instanceof Integer && (value.startsWith("+") || value.startsWith("-"))) {
 				value = value.replace("+", "");
 
@@ -395,6 +385,5 @@
 			}
 
-			if (value.length() == 0 || value.equals("null"))
-				return Item.DEFAULT_INTEGER;
+			if (value.length() == 0 || value.equals("null")) return Item.DEFAULT_INTEGER;
 
 			return Integer.decode(value);
@@ -427,9 +416,8 @@
 
 		if (type.equals(Integer.class)) {
-			if (orig instanceof Integer
-					&& (value.startsWith("+") || value.startsWith("-"))) {
+			if (orig instanceof Integer && (value.startsWith("+") || value.startsWith("-"))) {
 				value = value.replace("+", "");
 
-				Integer newValue = ((Integer) orig) + Integer.parseInt(value);
+				Integer newValue = ((Integer) orig) + Integer.valueOf((int) Double.parseDouble(value));
 				if (newValue <= 0)
 					return null;
@@ -440,5 +428,5 @@
 				return null;
 
-			return Integer.parseInt(value);
+			return Integer.valueOf((int) Double.parseDouble(value));
 		}
 
@@ -700,6 +688,6 @@
 
 		// convert colors
-		if (output instanceof Color)
-			return getExpediteeColorCode((Color) output);
+		if (output instanceof Colour)
+			return getExpediteeColorCode((Colour) output);
 
 		// covert points
@@ -737,7 +725,7 @@
 	}
 
-	public static String getCssColor(Color c) {
+	public static String getCssColor(Colour c) {
 		assert (c != null);
-		return "rgb(" + c.getRed() + "," + c.getGreen() + "," + c.getBlue()
+		return "rgb(" + c.getRed255() + "," + c.getGreen255() + "," + c.getBlue255()
 				+ ")";
 	}
Index: /trunk/src/org/expeditee/io/DefaultFrameReader.java
===================================================================
--- /trunk/src/org/expeditee/io/DefaultFrameReader.java	(revision 1101)
+++ /trunk/src/org/expeditee/io/DefaultFrameReader.java	(revision 1102)
@@ -19,7 +19,4 @@
 package org.expeditee.io;
 
-import java.awt.Color;
-import java.awt.Font;
-import java.awt.Point;
 import java.io.BufferedReader;
 import java.io.FileInputStream;
@@ -32,6 +29,10 @@
 import java.util.LinkedList;
 
+import org.expeditee.core.Colour;
+import org.expeditee.core.Font;
+import org.expeditee.core.Point;
 import org.expeditee.gui.Frame;
 import org.expeditee.items.Constraint;
+import org.expeditee.items.Dot;
 import org.expeditee.items.DotType;
 import org.expeditee.items.Item;
@@ -42,4 +43,5 @@
 
 public abstract class DefaultFrameReader implements FrameReader {
+	
 	protected static LinkedHashMap<Character, Method> _ItemTags = null;
 	
@@ -53,5 +55,6 @@
 	protected static Class[] pFloat = { float.class };
 	protected static Class[] pFloatO = { Float.class };
-	protected static Class[] pColor = { Color.class };
+	protected static Class[] pDouble = { double.class };
+	protected static Class[] pColor = { Colour.class };
 	protected static Class[] pBool = { boolean.class };
 	protected static Class[] pFont = { Font.class };
@@ -63,4 +66,5 @@
 	protected static Class[] pJustification = { Justification.class };
 	protected static Class[] pPermission = { PermissionPair.class };
+	protected static Class[] pDotType = { DotType.class };
 	
 	public DefaultFrameReader(){
@@ -100,8 +104,8 @@
 					pColor));
 
-			_ItemTags.put('R', Item.class.getMethod("setAnchorLeft", pFloatO));
-			_ItemTags.put('H', Item.class.getMethod("setAnchorRight", pFloatO));
-			_ItemTags.put('N', Item.class.getMethod("setAnchorTop", pFloatO));
-			_ItemTags.put('I', Item.class.getMethod("setAnchorBottom", pFloatO));
+			_ItemTags.put('R', Item.class.getMethod("setAnchorLeft", pIntO));
+			_ItemTags.put('H', Item.class.getMethod("setAnchorRight", pIntO));
+			_ItemTags.put('N', Item.class.getMethod("setAnchorTop", pIntO));
+			_ItemTags.put('I', Item.class.getMethod("setAnchorBottom", pIntO));
 
 			_ItemTags.put('P', Item.class.getMethod("setPosition", pPoint));
@@ -123,5 +127,5 @@
 			_ItemTags.put('e', Item.class.getMethod("setFillColor", pColor));
 			_ItemTags.put('E', Item.class.getMethod("setGradientColor", pColor));
-			_ItemTags.put('Q', Item.class.getMethod("setGradientAngle", pInt));
+			_ItemTags.put('Q', Item.class.getMethod("setGradientAngle", pDouble));
 			
 			_ItemTags.put('i', Item.class.getMethod("setFillPattern", pString));
@@ -136,6 +140,6 @@
 			_ItemTags.put('j', Item.class.getMethod("setArrow", pArrow));
 
-			_ItemTags.put('v', Item.class.getMethod("setDotType", new Class[]{DotType.class}));
-			_ItemTags.put('z', Item.class.getMethod("setFilled", pBool));
+			_ItemTags.put('v', Dot.class.getMethod("setDotType", pDotType));
+			_ItemTags.put('z', Dot.class.getMethod("setFilled", pBool));
 			
 			_ItemTags.put('f', Text.class.getMethod("setFont", pFont));
Index: /trunk/src/org/expeditee/io/DefaultFrameWriter.java
===================================================================
--- /trunk/src/org/expeditee/io/DefaultFrameWriter.java	(revision 1101)
+++ /trunk/src/org/expeditee/io/DefaultFrameWriter.java	(revision 1102)
@@ -19,5 +19,4 @@
 package org.expeditee.io;
 
-import java.awt.Desktop;
 import java.io.BufferedOutputStream;
 import java.io.File;
@@ -33,4 +32,5 @@
 
 import org.expeditee.agents.WriteTree;
+import org.expeditee.gio.EcosystemManager;
 import org.expeditee.gui.Browser;
 import org.expeditee.gui.Frame;
@@ -258,13 +258,6 @@
 			_writer.close();
 		}
-		try {
-			if (Browser._theBrowser.isMinimumVersion6()) {
-				if (Desktop.isDesktopSupported()) {
-					Desktop.getDesktop().open(new File(_output));
-				}
-			}
-		} catch (Exception e) {
-			e.printStackTrace();
-		}
+		String errorMessage = EcosystemManager.getMiscManager().open(_output);
+		if (errorMessage != null) System.err.println(errorMessage);
 		return " exported to " + _output;
 	}
Index: /trunk/src/org/expeditee/io/ExaReader.java
===================================================================
--- /trunk/src/org/expeditee/io/ExaReader.java	(revision 1101)
+++ /trunk/src/org/expeditee/io/ExaReader.java	(revision 1102)
@@ -173,5 +173,5 @@
 					// refresh the last item loaded
 					if(item != null) {
-						item.updatePolygon();
+						item.invalidateBounds();
 						item.invalidateAll();
 					}
@@ -200,5 +200,5 @@
 		// refresh the last item loaded
 		if(item != null) {
-			item.updatePolygon();
+			item.invalidateBounds();
 			item.invalidateAll();
 		}
